package mentionmatch;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

class ListOfMentions {
    
    List<Mention> mentions;
    int firstRefOffset, secondRefOffset;

    ListOfMentions(File file) throws IOException {
        mentions=new ArrayList<>();

        BufferedReader reader=new BufferedReader(new FileReader(file));
        String line;
        while ((line=reader.readLine())!=null) {
            if (line.startsWith("#"))
                continue;
            mentions.add(new Mention(line));
        }
        
        int i=0;
        while (i<mentions.size() && mentions.get(i).isRefOffset==0) {
            i++;
        }
        firstRefOffset=i++;
        while (i<mentions.size() && mentions.get(i).isRefOffset==0) {
            i++;
        }
        secondRefOffset=i;
        if (i == mentions.size()) {
            throw new IOException("Inconsistent LOM, need two ref offsets");
        }
    }
    
    List<Mention> getMentions() {
        return mentions;
    }
    
    Mention getMentionAt(int i) {
        return mentions.get(i);
    }
}
